# $Revision: 1.20 $, $Date: 2012/05/15 10:08:29 $
#
# Conditional build:
%bcond_with 	glade	# install glade catalog
#
Summary:	Text widget that extends the standard GTK+ 3.x
Summary(pl.UTF-8):	Widget tekstowy rozszerzający standardowy z GTK+ 3.x
Name:		gtksourceview3
Version:	3.4.2
Release:	1
License:	GPL v2+ and LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtksourceview/3.4/gtksourceview-%{version}.tar.xz
# Source0-md5:	c3589ee21e811bdc44091c3dc947ba4e
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	gtk-doc >= 1.11
BuildRequires:	intltool >= 0.40.0
%if %{with glade}
BuildRequires:	libgladeui-devel >= 3.9.0
%endif
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.32.0
Requires:	libxml2 >= 1:2.6.31
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkSourceView is a text widget that extends the standard GTK+ 3.x text
widget GtkTextView. It improves GtkTextView by implementing syntax
highlighting and other features typical of a source editor.

%description -l pl.UTF-8
GtkSourceView to widget tekstowy rozszerzający standardowy widget
tekstowy GtkTextView z GTK+ 3.x. Ulepsza GtkTextView poprzez
zaimplementowanie podświetlania składni i innych możliwości typowych
dla edytora źródeł.

%package apidocs
Summary:	GtkSourceView API documentation
Summary(pl.UTF-8):	Dokumentacja API GtkSourceView
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GtkSourceView API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GtkSourceView.

%package devel
Summary:	Header files for GtkSourceView
Summary(pl.UTF-8):	Pliki nagłówkowe dla GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0
Requires:	gtk+3-devel >= 3.4.0
Requires:	libxml2-devel >= 1:2.6.31

%description devel
Header files for GtkSourceView.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla GtkSourceView.

%package static
Summary:	Static GtkSourceView library
Summary(pl.UTF-8):	Statyczna biblioteka GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GtkSourceView library.

%description static -l pl.UTF-8
Statyczna biblioteka GtkSourceView.

%package -n glade3-gtksourceview
Summary:	Glade3 catalog entry for GtkSourceView library
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description -n glade3-gtksourceview
Glade3 catalog entry for GtkSourceView library.

%prep
%setup -q -n gtksourceview-%{version}

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--enable-static \
	--with-html-dir=%{_gtkdocdir} \
	%{__enable glade glade-catalog} \
	--enable-providers \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang gtksourceview-3.0

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gtksourceview-3.0.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtksourceview-3.0.so.0
%{_datadir}/gtksourceview-3.0
%{_libdir}/girepository-1.0/GtkSource-3.0.typelib

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gtksourceview-3.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-3.0.so
%{_includedir}/gtksourceview-3.0
%{_pkgconfigdir}/gtksourceview-3.0.pc
%{_datadir}/gir-1.0/GtkSource-3.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtksourceview-3.0.a

%if %{with glade}
%files -n glade3-gtksourceview
%defattr(644,root,root,755)
%{_datadir}/glade3/catalogs/gtksourceview.xml
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtksourceview3.spec,v $
Revision 1.20  2012/05/15 10:08:29  kiesiu
- updated to 3.4.2

Revision 1.19  2012/05/01 17:01:07  sls
- BR: gtk+3-devel >= 3.4.0

Revision 1.18  2012/04/16 13:14:37  megabajt
- updated to 3.4.1

Revision 1.17  2012/03/26 18:06:17  megabajt
- updated to 3.4.0; merged changes from DEVEL

Revision 1.16.2.1  2012/02/20 20:07:47  megabajt
- updated to 3.3.4

Revision 1.16  2011/11/05 17:43:27  qboosh
- updated to 3.2.3

Revision 1.15  2011/11/01 10:24:38  qboosh
- more verioned install time dependencies

Revision 1.14  2011/10/16 12:20:30  kiesiu
- updated to 3.2.2

Revision 1.13  2011/10/09 15:31:00  wiget
- up to 3.2.1

Revision 1.12  2011/09/27 19:28:37  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.11.2.2  2011/09/19 19:17:18  megabajt
- updated to 3.1.6

Revision 1.11.2.1  2011/09/06 15:18:45  wiget
- up to 3.1.5

Revision 1.11  2011/07/01 17:48:42  megabajt
- updated to 3.0.5

Revision 1.10  2011/06/20 18:08:13  kiesiu
- updated to 3.0.4

Revision 1.9  2011/05/25 16:11:50  megabajt
- updated to 3.0.3

Revision 1.8  2011/04/26 11:35:40  megabajt
- updated to 3.0.1

Revision 1.7  2011/04/04 17:49:42  megabajt
- updated to 3.0.0

Revision 1.6  2011/03/22 09:30:47  wiget
- up to 2.91.9

Revision 1.5  2011/03/07 19:16:53  megabajt
- updated to 2.91.8

Revision 1.4  2011/02/26 18:27:12  megabajt
- updated to 2.91.7

Revision 1.3  2011/02/21 12:25:24  megabajt
- updated to 2.91.6

Revision 1.2  2011/02/12 21:37:46  wiget
- updated to 2.91.5
- kill libtool file

Revision 1.1  2011/01/16 15:11:32  wiget
- based on gtksourceview2.spec

